> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# ID'ye göre farm bilgisi getir

> Farm ID'lerine göre farm pool ayrıntılarını getirir. 60 saniye önbelleğe alınır.



## OpenAPI

````yaml /tr/api-reference/openapi/api-v3.yaml get /farms/info/ids
openapi: 3.0.3
info:
  title: Raydium API v3
  version: 3.0.0
  description: >-
    Raydium API v3, Solana blok zinciri için likidite havuzlarını, mint
    bilgilerini, farm detaylarını, IDO havuzlarını ve zincir meta verilerini
    sorgulamaya yönelik REST uç noktaları sunar. Cüzdanlar, toplayıcılar ve
    traderlar tarafından fiyat akışları, havuz verileri ve yönlendirme
    bilgilerine erişmek için kullanılır.
servers:
  - url: https://api-v3.raydium.io
    description: Üretim (Mainnet)
  - url: https://api-v3-devnet.raydium.io
    description: Geliştirme (Devnet)
security: []
tags:
  - name: Main
    description: Zincir bilgisi, TVL ve yapılandırma için temel API uç noktaları
  - name: Mint
    description: Token mint bilgisi ve fiyatlandırma
  - name: Pools
    description: Likidite havuzu bilgisi, anahtarlar ve geçmiş veriler
  - name: Farms
    description: Farm havuzu bilgisi ve anahtarlar
  - name: IDO
    description: IDO havuzu bilgisi ve anahtarlar
paths:
  /farms/info/ids:
    get:
      tags:
        - Farms
      summary: ID'ye göre farm bilgisi getir
      description: >-
        Farm ID'lerine göre farm pool ayrıntılarını getirir. 60 saniye önbelleğe
        alınır.
      operationId: getFarmsInfoIds
      parameters:
        - name: ids
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/FarmInfoItem'
components:
  schemas:
    ApiResponse:
      type: object
      description: >-
        Ortak yanıt zarfı. `data` alanı, `allOf` aracılığıyla her uç noktanın
        yanıt şeması tarafından sağlanır ve bu nedenle temel zarfta tanımlanmaz.
      required:
        - id
        - success
      properties:
        id:
          type: string
          description: İstek kimliği (UUID)
        success:
          type: boolean
          description: İsteğin başarılı olup olmadığı
        msg:
          type: string
          description: Başarısız durumlarda hata mesajı
    FarmInfoItem:
      type: object
      properties:
        id:
          type: string
        lpMint:
          type: string
        rewardMints:
          type: array
          items:
            type: string
        apr:
          type: number

````